OGRE: Ogre::RTShader::ParameterFactory Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::ParameterFactory Class Reference
Optional Components » RTShaderSystem

Helper utility class that creates common parameters. More...

`#include <OgreShaderParameter.h>`

## Static Public Member Functions
static ParameterPtr | createConstParam (const Vector2 &val)
static ParameterPtr | createConstParam (const Vector3 &val)
static ParameterPtr | createConstParam (const Vector4 &val)
static ParameterPtr | createConstParam (float val)
static ParameterPtr | createInBiNormal (int index)
static ParameterPtr | createInColor (int index)
static ParameterPtr | createInIndices (int index)
static ParameterPtr | createInNormal (int index)
static ParameterPtr | createInPosition (int index, int content=Parameter::SPC_POSITION_OBJECT_SPACE)
static ParameterPtr | createInTangent (int index)
static ParameterPtr | createInTexcoord (GpuConstantType type, int index, int content)
static ParameterPtr | createInWeights (int index)
static ParameterPtr | createOutBiNormal (int index)
static ParameterPtr | createOutColor (int index)
static ParameterPtr | createOutNormal (int index)
static ParameterPtr | createOutPosition (int index)
static ParameterPtr | createOutTangent (int index)
static ParameterPtr | createOutTexcoord (GpuConstantType type, int index, int content)
static UniformParameterPtr | createSampler (GpuConstantType type, int index)
static UniformParameterPtr | createSampler1D (int index)
static UniformParameterPtr | createSampler2D (int index)
static UniformParameterPtr | createSampler2DArray (int index)
static UniformParameterPtr | createSampler3D (int index)
static UniformParameterPtr | createSamplerCUBE (int index)
static UniformParameterPtr | createUniform (GpuConstantType type, int index, uint16 variability, const String &suggestedName, size_t size)

## Detailed Description

Helper utility class that creates common parameters.

## Member Function Documentation

## ◆ createInPosition()

ParameterPtr Ogre::RTShader::ParameterFactory::createInPosition | ( | int | index,
|  | int | content = Parameter::SPC_POSITION_OBJECT_SPACE )
| static

References Ogre::RTShader::Parameter::SPC_POSITION_OBJECT_SPACE.

## ◆ createOutPosition()

ParameterPtr Ogre::RTShader::ParameterFactory::createOutPosition | ( | int | index | ) |
| static

## ◆ createInNormal()

ParameterPtr Ogre::RTShader::ParameterFactory::createInNormal | ( | int | index | ) |
| static

## ◆ createInWeights()

ParameterPtr Ogre::RTShader::ParameterFactory::createInWeights | ( | int | index | ) |
| static

## ◆ createInIndices()

ParameterPtr Ogre::RTShader::ParameterFactory::createInIndices | ( | int | index | ) |
| static

## ◆ createOutNormal()

ParameterPtr Ogre::RTShader::ParameterFactory::createOutNormal | ( | int | index | ) |
| static

## ◆ createInBiNormal()

ParameterPtr Ogre::RTShader::ParameterFactory::createInBiNormal | ( | int | index | ) |
| static

## ◆ createOutBiNormal()

ParameterPtr Ogre::RTShader::ParameterFactory::createOutBiNormal | ( | int | index | ) |
| static

## ◆ createInTangent()

ParameterPtr Ogre::RTShader::ParameterFactory::createInTangent | ( | int | index | ) |
| static

## ◆ createOutTangent()

ParameterPtr Ogre::RTShader::ParameterFactory::createOutTangent | ( | int | index | ) |
| static

## ◆ createInColor()

ParameterPtr Ogre::RTShader::ParameterFactory::createInColor | ( | int | index | ) |
| static

## ◆ createOutColor()

ParameterPtr Ogre::RTShader::ParameterFactory::createOutColor | ( | int | index | ) |
| static

## ◆ createInTexcoord()

ParameterPtr Ogre::RTShader::ParameterFactory::createInTexcoord | ( | GpuConstantType | type,
|  | int | index,
|  | int | content )
| static

## ◆ createOutTexcoord()

ParameterPtr Ogre::RTShader::ParameterFactory::createOutTexcoord | ( | GpuConstantType | type,
|  | int | index,
|  | int | content )
| static

## ◆ createConstParam() [1/4]

ParameterPtr Ogre::RTShader::ParameterFactory::createConstParam | ( | const Vector2 & | val | ) |
| static

## ◆ createConstParam() [2/4]

ParameterPtr Ogre::RTShader::ParameterFactory::createConstParam | ( | const Vector3 & | val | ) |
| static

## ◆ createConstParam() [3/4]

ParameterPtr Ogre::RTShader::ParameterFactory::createConstParam | ( | const Vector4 & | val | ) |
| static

## ◆ createConstParam() [4/4]

ParameterPtr Ogre::RTShader::ParameterFactory::createConstParam | ( | float | val | ) |
| static

## ◆ createSampler()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler | ( | GpuConstantType | type,
|  | int | index )
| static

## ◆ createSampler1D()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler1D | ( | int | index | ) |
| static

## ◆ createSampler2D()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler2D | ( | int | index | ) |
| static

## ◆ createSampler2DArray()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler2DArray | ( | int | index | ) |
| static

## ◆ createSampler3D()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createSampler3D | ( | int | index | ) |
| static

## ◆ createSamplerCUBE()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createSamplerCUBE | ( | int | index | ) |
| static

## ◆ createUniform()

UniformParameterPtr Ogre::RTShader::ParameterFactory::createUniform | ( | GpuConstantType | type,
|  | int | index,
|  | uint16 | variability,
|  | const String & | suggestedName,
|  | size_t | size )
| static

The documentation for this class was generated from the following file:

- OgreShaderParameter.h